#pragma once
#if defined(ARDUINO)

#include "Participants/ParticipantUDP.h"

namespace RoboidControl {

class ParticipantUDP : public ParticipantUDPGeneric {
 public:
  void Setup();
  void Receive();
  bool SendTo(ParticipantSocket* remoteParticipant, int bufferSize);
  bool Publish(IMessage* msg);

 protected:
  char* broadcastIpAddress = nullptr;

  void GetBroadcastAddress();
};

}  // namespace RoboidControl
#endif