#pragma once
#if defined(__unix__) || defined(__APPLE__)

#include "Participants/ParticipantUDP.h"

namespace RoboidControl {

class ParticipantUDP : public ParticipantUDPGeneric {
 public:
  void Setup(int localPort, const char* remoteIpAddress, int remotePort);
  void Receive();
  bool SendTo(ParticipantSocket* remoteParticipant, int bufferSize);
  bool Publish(IMessage* msg);

 protected:
#if defined(__unix__) || defined(__APPLE__)
  sockaddr_in remote_addr;
  sockaddr_in server_addr;
  sockaddr_in broadcast_addr;
#endif
};

}  // namespace RoboidControl
#endif
